%global commit 7ef908a4d9014a958d7e37285798cc659f348f02
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           ceph-ansible
Version:        2.2.10
Release:        38.g7ef908a%{?dist}
Summary:        Ansible playbooks for Ceph
# Some files have been copied from Ansible (GPLv3+). For example:
#  library/ceph_facts
#  plugins/actions/config_template.py
#  roles/ceph-common/plugins/actions/config_template.py
License:        ASL 2.0 and GPLv3+
URL:            https://github.com/ceph/ceph-ansible
Source0:        %{name}-%{version}-%{shortcommit}.tar.gz

BuildArch:      noarch

BuildRequires: ansible >= 2.2.0.0
BuildRequires: python2-devel

Requires: ansible >= 2.2.0.0

%description
Ansible playbooks for Ceph

%prep
%autosetup -p1

%build

%install
mkdir -p %{buildroot}%{_datarootdir}/ceph-ansible

for f in ansible.cfg *.yml *.sample group_vars roles library plugins infrastructure-playbooks; do
  cp -a $f %{buildroot}%{_datarootdir}/ceph-ansible
done

# Strip coreos files.
# These are unneeded on RPM-based distros, and the playbooks download random
# things from around the internet.
pushd %{buildroot}%{_datarootdir}/ceph-ansible
  rm -r roles/ceph-common-coreos
  rm group_vars/common-coreoss.yml.sample
popd

# Strip iscsi files.
# These are just placeholders until ceph-iscsi-gw can merge into
# ceph-ansible. (See https://bugzilla.redhat.com/1454945).
pushd %{buildroot}%{_datarootdir}/ceph-ansible
  rm -r roles/ceph-iscsi-gw
popd

%check
# Borrowed from upstream's .travis.yml:
ansible-playbook -i dummy-ansible-hosts test.yml --syntax-check

%files
%doc README.md
%license LICENSE
%{_datarootdir}/ceph-ansible

%changelog
